#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tree
%define		pnam	DAG_Node
Summary:	Tree::DAG_Node - (super)class for representing nodes in a tree
Summary(pl.UTF-8):	Tree::DAG_Node - (nad)klasa do reprezentowania węzłów w drzewie
Name:		perl-Tree-DAG_Node
Version:	1.27
Release:	1
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tree/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	6697c3e746a146e74ae2ba1727608200
URL:		http://search.cpan.org/dist/Tree-DAG_Node/
BuildRequires:	perl-devel >= 1:5.8.1
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 3.40
BuildRequires:	perl-File-Slurp-Tiny >= 0.003
BuildRequires:	perl-File-Temp >= 0.19
BuildRequires:	perl-Test-Simple >= 1.001_014
BuildRequires:	perl-Test-Pod >= 1.48
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class encapsulates/makes/manipulates objects that represent nodes
in a tree structure. The tree structure is not an object itself, but
is emergent from the linkages you create between nodes. This class
provides the methods for making linkages that can be used to build up
a tree, while preventing you from ever making any kinds of linkages
which are not allowed in a tree (such as having a node be its own
mother or ancestor, or having a node have two mothers).

%description -l pl.UTF-8
Ta klasa obudowuje, tworzy i obrabia obiekty, które reprezentują węzły
w strukturze drzewiastej. Struktura drzewiasta jako taka nie jest
obiektem, ale wyłania się z połączeń tworzonych pomiędzy węzłami. Ta
klasa udostępnia metody do tworzenia połączeń, które mogą być używane
do zbudowania drzewa, nie dopuszczając na zrobienie połączeń nie
dozwolonych w drzewie (takich jak połączenie węzła z jego przodkiem,
lub nadanie węzłowi dwóch przodków).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tree/DAG_Node.pm
%{_mandir}/man3/Tree::DAG_Node.3pm*
%changelog
* Sat Jan 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Tree-DAG_Node.git;a=log;h=master

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> b3bd408
- updated to 1.27

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3134f19
- up to 1.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d5c84d6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ee17151
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> b5c4af3
- generic URL

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 2162803
- updated to 1.05

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2f5e860
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 5feac20
- rel. 9

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2e889a7
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 3d66366
- fixed license, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 3aada71
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c1b8f1f
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 02d60f7
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 5bfc512
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 233be41
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 547e4f4
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 6f373df
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 5f5af1c
- massive attack: change CPAN URLs

* Thu Aug 15 2002 Jakub Bogusz <qboosh@pld-linux.org> 30dc30d
- pl description, release++

* Sun Aug 11 2002 radek <radek@pld-linux.org> 80dff7b
- release up

